| Home | Libraries | People | FAQ | More

##### end()

Returns the iterator pointing at the end of the rtree values range.

###### Description

This method returns the iterator which may be compared with the iterator returned by begin() in order to check if the iteration has ended.

###### Synopsis

    const_iterator end()

###### Modifier(s)

    const

###### Returns

The iterator pointing at the end of the range.

###### Example

    for ( Rtree::const_iterator it = tree.begin() ; it != tree.end() ; ++it )
    {
        // do something with value
    }

    // C++11 (lambda expression)
    std::for_each(tree.begin(), tree.end(), [](value_type const& val){
        // do something with value
    })

###### Iterator category

ForwardIterator

###### Throws

Nothing.

| Warning
The modification of the rtree may invalidate the iterators.